import React from 'react';
import TemplateOne from './template-one';
import TemplateTwo from './template-two';
import TemplateThree from './template-three';

export default function index({ template = 'template_one', ...props }) {
  switch (template) {
    case 'template_two':
      return <TemplateTwo {...props} />;
    case 'template_three':
      return <TemplateThree {...props} />;
    default:
      return <TemplateOne {...props} />;
  }
}
